/*
    OTP4U 0.8.0 - One Time Pad for you
    Copyright (C) 2003 Pierre Blanc
    Pierre Blanc: blanc_teutoburgo@yahoo.it
    http://teutoburgo.cjb.net
    http://it.geocities.com/teutoburgo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    or go to      http://www.gnu.org/copyleft/gpl.html
*/

package net.cjb.teutoburgo.otp4u.constants;

import java.io.*;

public class Constants
{
	public static final String SEPARATOR=File.separator,
		PUBLIC_KEY_FILE="publicKey.key";
    public static final String KEY_SMALL = "The public key is too small.."+
		" generate a new file", RANDOM_KEY_FILE="key4message.rnd";
    public static final String PLAIN="plaintexts"+SEPARATOR,
		CIPHER="ciphertexts"+SEPARATOR, RANDOM_KEY="randomKey"+SEPARATOR,
		PUBLIC_KEY="publicKey"+SEPARATOR,
		ENTROPY=RANDOM_KEY+"entropySource"+SEPARATOR,
                KEY4KEY="key4key"+ SEPARATOR,
		KEY4KEY_FILE="key4key.rnd", CONFIG = "config"+SEPARATOR,
		CFG_FILE="otp4u.cfg", PSEUDO_RANDOM="pseudoRandom",
		BAD_PARAMETER="Bad parameter... for help, type:\notp4uwin -h"+
                " (Win)\notp4ux -h (Unix)", ERROR_XOR="Error - Public key"+
                " length isn't two times the key4key length.";

	public Constants(){}
}